org.apache.ignite.internal.processors.platform

## Class PlatformExtendedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.platform.PlatformException
        - - org.apache.ignite.internal.processors.platform.PlatformExtendedException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PlatformCachePartialUpdateException

    public abstract class PlatformExtendedException
    extends PlatformException

Denotes an exception which has some data to be written in a special manner.

See Also:
  Serialized Form

### Field Summary

Fields
`protected PlatformContext` `ctx` Platform context.

### Constructor Summary

Constructors
`protected` `PlatformExtendedException(Throwable cause, PlatformContext ctx)` Constructor.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`PlatformContext` `context()`
`abstract void` `writeData(BinaryRawWriterEx writer)` Write data.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformException

`toString`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ctx

    protected final PlatformContext ctx

Platform context.

### Constructor Detail

#### PlatformExtendedException

    protected PlatformExtendedException(Throwable cause,
                                        PlatformContext ctx)

Constructor.

Parameters:
  `cause` - Root cause.
  `ctx` - Platform context.

### Method Detail

#### context

    public PlatformContext context()

Returns:
  Platform context.

#### writeData

    public abstract void writeData(BinaryRawWriterEx writer)

Write data.

Parameters:
  `writer` - Writer.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018